org.openmuc.openiec61850

## Class ReportEntryData

- java.lang.Object
- - org.openmuc.openiec61850.ReportEntryData

    public class ReportEntryData
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ReportEntryData.ReasonCode`

### Constructor Summary

Constructors
Constructor and Description
`ReportEntryData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDataRef()`
`long` `getId()`
`ReportEntryData.ReasonCode` `getReasonCode()`
`Report` `getReport()`
`ModelNode` `getValue()`
`void` `setDataRef(java.lang.String dataRef)`
`void` `setId(long id)`
`void` `setReasonCode(ReportEntryData.ReasonCode reasonCode)`
`void` `setReport(Report report)`
`void` `setValue(ModelNode value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReportEntryData

    public ReportEntryData()

### Method Detail

#### getDataRef

    public java.lang.String getDataRef()

#### setDataRef

    public void setDataRef(java.lang.String dataRef)

#### getValue

    public ModelNode getValue()

#### setValue

    public void setValue(ModelNode value)

#### getReasonCode

    public ReportEntryData.ReasonCode getReasonCode()

#### setReasonCode

    public void setReasonCode(ReportEntryData.ReasonCode reasonCode)

#### getId

    public long getId()

#### setId

    public void setId(long id)

#### getReport

    public Report getReport()

#### setReport

    public void setReport(Report report)